<div class="page">
  <app-sidebar class="nav flex-column" [user]="user"  (isNav)="toggleNav($event)"></app-sidebar>
  <div class="{{isNav}}">
    <div class="container mt-5 pt-5">
      <mat-card>
        <h3 class="text-center">Perfil</h3>

        <p class="mt-3"><span style="font-weight: bolder">Nombre: </span> {{user?.name}} </p>
        <p class="mt-3"><span style="font-weight: bolder">Email: </span> {{user?.email}} </p>
        <p class="mt-3"><span style="font-weight: bolder">Fecha de ingreso: </span> {{user?.createdAt | date:'medium'}} </p>
        <p class="mt-3"><span style="font-weight: bolder">Disponible hasta: </span> {{user?.deathLine}} </p>
        <div>
          <p align="end">
            <button mat-raised-button color="warn" data-toggle="modal" data-target="#passwordModal">Cambiar contraseña</button>
          </p>
        </div>
      </mat-card>
    </div>
  </div>
</div>
<div class="modal fade" id="passwordModal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Cambiar contraseña</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
      <div class="row">
        <div class="col-md-5">
          <mat-form-field class="w-100">
            <input matInput type="password" placeholder="Contraseña actual" [(ngModel)]="oldPassword"/>
          </mat-form-field>
        </div>
        <div class="col-md-2"></div>
        <div class="col-md-5">
          <mat-form-field class="w-100">
            <input matInput type="password" placeholder="Contraseña nueva" [(ngModel)]="newPassword"/>
          </mat-form-field>
        </div>
      </div>
      </div>
      <div class="modal-footer">
        <button mat-raised-button color="warn" (click)="changePass()" >Cambiar contraseña</button>
      </div>
    </div>
  </div>
</div>